<?php
error_reporting(0); //7dec25
if (substr_count($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) ob_start("ob_gzhandler"); else ob_start();
session_start();
session_cache_limiter('private');
$cache_limiter 	= session_cache_limiter();
session_cache_expire(60);
$cache_expire 	= session_cache_expire(); 
date_default_timezone_set('Asia/Manila'); 
$CURRENT_DATE 	= date('Y-m-d H:i:s');
include_once('../config/minho.php');
include_once('../config/autoloadClass.php');
$autoload	=	new autoloadClass();
$mecon		=	new condbClass();
$utility	=	new utilityClass(); 
if(isset($_POST['broker_broker'])){
$broker			= isset($_POST['broker_broker'])	? str_replace('_',' ',htmlentities(addslashes(strip_tags(trim($_POST['broker_broker']))))) : "";  
$contact		= isset($_POST['broker_contact'])	? htmlentities(addslashes(strip_tags(trim($_POST['broker_contact'])))) : ""; 
$email			= isset($_POST['broker_email'])		? htmlentities(addslashes(strip_tags(trim($_POST['broker_email'])))) : ""; 
$address		= isset($_POST['broker_address'])	? htmlentities(addslashes(strip_tags(trim($_POST['broker_address'])))) : "";   
$contact_person	= isset($_POST['broker_contact_person'])	? htmlentities(addslashes(strip_tags(trim($_POST['broker_contact_person'])))) : "";    



$task		= isset($_POST['action'])		? trim($_POST['action']) : "";
$mainid		= isset($_POST['mainid'])		? trim($_POST['mainid']) : "";

$currentUser 	= $_SESSION['danvilles_username'];
$timeStamp		= date('Y-m-d H:i:s');
$mainArr		= array();
$output 		= "";
$mainArr['Contractor']				=	$broker;
$mainArr['ContactNo']			=	$contact;
$mainArr['EmailAddress']		=	$email;
$mainArr['Address']				=	$address; 
$mainArr['ContactPerson']		=	$contact_person;  

$condArr = array();
if($task=="create"):
	$mainArr['Id']				= $mecon->getNextId("Id","contractor");
	$brokerId					= $mecon->getNextId("Id","contractor"); 
	$mainArr['CreatedDate'] 	= $timeStamp;
	$mainArr['CreatedBy'] 		= $currentUser;
	$output						= $mecon->insertSingleQuery($mainArr,"contractor"); 	 
	
			//LOG TASK 
			$actArr['UserType']			= "accounting2";
			$actArr['Remarks']			= "Created New Contractor : $contractor";
			$actArr['Action']			= "create";
			$actArr['ActionType']		= "contractor";
			$actArr['ActionContent']	= json_encode($mainArr);
			$actArr['ActionBy'] 		= $currentUser;	
			$actArr['ActionDate']		= $timeStamp;
			$actArr['TransId']			= $brokerId;
			$utility->encodeActivityLog($actArr);

elseif($task=="edit"):
	$mainArr['UpdatedDate'] 		= $timeStamp;
	$mainArr['UpdatedBy'] 			= $currentUser;
	$condArr['Id']					= $mainid;
	$output 						= $mecon->updateQuery($mainArr,"contractor",$condArr); 
	
	//LOG TASK 
			$actArr['UserType']			= "accounting2";
			$actArr['Remarks']			= "Updated Contractor : $contractor";
			$actArr['Action']			= "edit";
			$actArr['ActionType']		= "contractor";
			$actArr['ActionContent']	= json_encode($mainArr);
			$actArr['ActionBy'] 		= $currentUser;	
			$actArr['ActionDate']		= $timeStamp;
			$actArr['TransId']			= $mainid;
			$utility->encodeActivityLog($actArr);
endif;

$resultArr 						= array();
$resultArr['output']	  		= $output;
echo json_encode($resultArr);
}
exit();
ob_end_flush();